Sign in to follow this  
nealmac

Taking the P3D plunge

Recommended Posts

So i've been toying with the idea of biting the bullet and forgetting all about FSX in favour of P3D. However I have 1 concern. I wouldn't necessarily call it a deal breaker, but I noticed that a lot of my Aerosoft airports are not compatible with version 3, and some aren't compatible with P3D at all. However, the ones that aren't compatible with version 3 will work with version 2.

 

Now, I'm fully aware that this is probably a stupid question, but is there any merit in purchasing version 2 purely for this reason? Or would that just be crazy stupid? I'm fairly sure my other addons (aerosoft airbus A32x, FSUIPC, Active Sky Next, GSX, Orbx Global Base, Orbx Global Vector, Orbx Open Landclass Europe, Orbx Ireland, Eaglesoft's Cessna Citation X and EZdok) will work ok (although I'd like if someone could confirm this. I also have the PMDG 777 200, but I know I would have to buy this again.

 

So basically I'm wondering should I go for version 2 (which seems to have more addons that will work) or version 3 (which is a newer build).

 

Thanks.

 

Neal.

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

That decision is really up to you, but you probably realize you really want the current version. I think we have all found ourselves purchasing a P3D compatible version of our "can't do without" addons from time to time.

The current version is 3.3.3, but it looks like LM are going to have to do another update to squelch a few problems with the newest release.

So, you really have a little while to mull over your decision. (but you know you really want the newest 3.x.x version) 

Share this post


Link to post

I could probably live without the Aerosoft airports to be fair. And anyway, there's always the chance Aerosoft will make them compatible at a later date. I already know I'll have to repurchase the 777.

 

What about all the other addons I mentioned? Does anyone know if they will work on version 3 without having to fork out money again?

 

You're absolutely right, Jim. I would really prefer to get the newer version. But I just don't want to have to purchase addons I've already paid for.

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this